This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 716322

Summary: hmac-md5 checksum doesn't work with DES keys
Product: [Fedora] Fedora Reporter: Bojan Smojver <bojan>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-26 19:29:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bojan Smojver 2011-06-23 20:03:12 EDT
Description of problem:
See:

http://mailman.mit.edu/pipermail/krbdev/2011-February/009836.html
http://mailman.mit.edu/pipermail/kerberos/2011-February/017035.html

Version-Release number of selected component (if applicable):
krb5-libs-1.9-7.fc15.i686

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to SSH using GSSAPI auth to a machine having keytab generated with des-cbc-md5 (I got such a keytab generated by Windows admins on one of the AD machines).
  
Actual results:
Postponed gssapi-with-mic for <user> from <ip> port <port> ssh2
debug1: Unspecified GSS failure.  Minor code may provide more information
Message size is incompatible with encryption type

Expected results:
Should work.

Additional info:
This is fixed in 1.9.1. See upstream bug:

http://krbdev.mit.edu/rt/Ticket/Display.html?user=guest&pass=guest&id=6876

So, can we have 1.9.1 in F-15 or a backport of this fix.
Comment 1 Bojan Smojver 2011-06-26 19:29:54 EDT
Thank you.

https://admin.fedoraproject.org/updates/krb5-1.9.1-5.fc15